import React from 'react';
import DateTimePickerProvider, { DataTimePickerMode, PickerMode, } from './Providers/DateTimePickerProvider';
import GlobalDateTimePickerModal from './GlobalDateTimePickerModal';
export default function GlobalDateTimePicker({ mode, theme, calendar, initialDate, translation, persianNumber, ...props }) {
    return (React.createElement(DateTimePickerProvider, { mode: mode === DataTimePickerMode.Time ? PickerMode.Hour : PickerMode.Day, theme: theme, calendar: calendar, initialDate: initialDate, translation: translation, persianNumber: persianNumber },
        React.createElement(GlobalDateTimePickerModal, { ...props, mode: mode })));
}
//# sourceMappingURL=GlobalDateTimePicker.js.map